/*
*  Licensed Materials - Property of IBM
*  5725-G92 (C) Copyright IBM Corp. 2006, 2012. All Rights Reserved.
*  US Government Users Restricted Rights - Use, duplication or
*  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
*/

window.$ = WLJQ;
var busyIndicator = null;

function wlCommonInit(){
	busyIndicator = new WL.BusyIndicator('AppBody');
	loadFeeds();
}


function loadFeeds(){
	busyIndicator.show();
	var invocationData = {
			adapter : 'RSSReader',
			procedure : 'getFeedsFiltered',
			parameters : []
		};
	
	WL.Client.invokeProcedure(invocationData,{
		onSuccess : loadFeedsSuccess,
		onFailure : loadFeedsFailure
	});
}

function loadFeedsSuccess(result){
	WL.Logger.debug("Feed retrieve success");
	busyIndicator.hide();
	if (result.invocationResult.Items.length>0) 
		displayFeeds(result.invocationResult.Items);
	else 
		loadFeedsFailure();
}

function loadFeedsFailure(result){
	WL.Logger.error("Feed retrieve failure");
	busyIndicator.hide();
	WL.SimpleDialog.show("EngadgetReader", "Cannot retrieve feed. Please check your internet connectivity.", 
	[{
		text : 'Reload App',
		handler : WL.Client.reloadApp 
	}]);
}

function displayFeeds(items){
	var ul = $('#itemsList');
	for (var i = 0; i < items.length; i++) {
		var li = $('<li/>').html(items[i].title);
		var pubDate = $('<div/>', {
			'class': 'pubDate'
		}).html(items[i].pubDate);

		li.append(pubDate);
		
		ul.append(li);
	}
}

